Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
A valid request URL is required to generate request examples
{}
Returns models grouped by provider. Optional provider query filters to one provider.
provider
GET
/api/openground/models
?provider=
POST
DELETE
/api/openground/models?model_id=&provider=
curl -X GET "/api/openground/models" \ -H "Cookie: <signed-in-session-cookie>"
curl -X POST "/api/openground/models" \ -H "Content-Type: application/json" \ -H "Cookie: <signed-in-session-cookie>" \ -d '{ "provider": "openai", "model": { "id": "gpt-4o-custom", "model_id": "gpt-4o-custom", "displayName": "GPT-4o Custom", "modelType": "chat", "contextWindow": 128000, "inputPricePerMToken": 2.5, "outputPricePerMToken": 10, "capabilities": ["function-calling"] } }'
curl -X DELETE "/api/openground/models?model_id=gpt-4o-custom&provider=openai" \ -H "Cookie: <signed-in-session-cookie>"
Models grouped by provider id, or a list when provider is set.
Show child attributes
Was this page helpful?